PHPExcel_Worksheet_AutoFilter_Column_Rule

category | PHPExcel
package | PHPExcel_Worksheet
copyright | Copyright (c) 2006 - 2013 PHPExcel (http://www.codeplex.com/PHPExcel)

### Methods

## Implement PHP __clone to create a deep clone, not just a shallow copy.

    __clone()

## Create a new PHPExcel_Worksheet_AutoFilter_Column_Rule

    __construct(\PHPExcel_Worksheet_AutoFilter_Column $pParent)

### Parameters

#### $pParent

`\PHPExcel_Worksheet_AutoFilter_Column`

## Get AutoFilter Rule Grouping

    getGrouping() : string

### Returns

`string`

## Get AutoFilter Rule Operator

    getOperator() : string

### Returns

`string`

## Get this Rule's AutoFilter Column Parent

    getParent() : \PHPExcel_Worksheet_AutoFilter_Column

### Returns

`\PHPExcel_Worksheet_AutoFilter_Column`

## Get AutoFilter Rule Type

    getRuleType() : string

### Returns

`string`

## Get AutoFilter Rule Value

    getValue() : string

### Returns

`string`

## Set AutoFilter Rule Grouping

    setGrouping(string $pGrouping) : \PHPExcel_Worksheet_AutoFilter_Column_Rule

### Parameters

#### $pGrouping

`string`

### Exceptions

`\PHPExcel_Exception` |

### Returns

`\PHPExcel_Worksheet_AutoFilter_Column_Rule`

## Set AutoFilter Rule Operator

    setOperator(string $pOperator) : \PHPExcel_Worksheet_AutoFilter_Column_Rule

### Parameters

#### $pOperator

`string`

### Exceptions

`\PHPExcel_Exception` |

### Returns

`\PHPExcel_Worksheet_AutoFilter_Column_Rule`

## Set this Rule's AutoFilter Column Parent

    setParent(\PHPExcel_Worksheet_AutoFilter_Column $pParent) : \PHPExcel_Worksheet_AutoFilter_Column_Rule

### Parameters

#### $pParent

`\PHPExcel_Worksheet_AutoFilter_Column`

### Returns

`\PHPExcel_Worksheet_AutoFilter_Column_Rule`

## Set AutoFilter Rule

    setRule(string $pOperator, string | string[] $pValue, string $pGrouping) : \PHPExcel_Worksheet_AutoFilter_Column_Rule

### Parameters

#### $pOperator

`string`

#### $pValue

`string` `string[]`

#### $pGrouping

`string`

### Exceptions

`\PHPExcel_Exception` |

### Returns

`\PHPExcel_Worksheet_AutoFilter_Column_Rule`

## Set AutoFilter Rule Type

    setRuleType(string $pRuleType) : \PHPExcel_Worksheet_AutoFilter_Column

### Parameters

#### $pRuleType

`string`

### Exceptions

`\PHPExcel_Exception` |

### Returns

`\PHPExcel_Worksheet_AutoFilter_Column`

## Set AutoFilter Rule Value

    setValue(string | string[] $pValue) : \PHPExcel_Worksheet_AutoFilter_Column_Rule

### Parameters

#### $pValue

`string` `string[]`

### Exceptions

`\PHPExcel_Exception` |

### Returns

`\PHPExcel_Worksheet_AutoFilter_Column_Rule`

### Properties

##

    $_dateTimeGroups

##

    $_dynamicTypes

##

    $_grouping : string

##

    $_operator : string

##

    $_operators

##

    $_parent : \PHPExcel_Worksheet_AutoFilter_Column

##

    $_ruleType : string

##

    $_ruleTypes

##

    $_topTenType

##

    $_topTenValue

##

    $_value : string

### Constants

## AUTOFILTER_COLUMN_RULE_EQUAL

    AUTOFILTER_COLUMN_RULE_EQUAL

## AUTOFILTER_COLUMN_RULE_GREATERTHAN

    AUTOFILTER_COLUMN_RULE_GREATERTHAN

## AUTOFILTER_COLUMN_RULE_GREATERTHANOREQUAL

    AUTOFILTER_COLUMN_RULE_GREATERTHANOREQUAL

## AUTOFILTER_COLUMN_RULE_LESSTHAN

    AUTOFILTER_COLUMN_RULE_LESSTHAN

## AUTOFILTER_COLUMN_RULE_LESSTHANOREQUAL

    AUTOFILTER_COLUMN_RULE_LESSTHANOREQUAL

## AUTOFILTER_COLUMN_RULE_NOTEQUAL

    AUTOFILTER_COLUMN_RULE_NOTEQUAL

## AUTOFILTER_COLUMN_RULE_TOPTEN_BOTTOM

    AUTOFILTER_COLUMN_RULE_TOPTEN_BOTTOM

## AUTOFILTER_COLUMN_RULE_TOPTEN_BY_VALUE

    AUTOFILTER_COLUMN_RULE_TOPTEN_BY_VALUE

## AUTOFILTER_COLUMN_RULE_TOPTEN_PERCENT

    AUTOFILTER_COLUMN_RULE_TOPTEN_PERCENT

## AUTOFILTER_COLUMN_RULE_TOPTEN_TOP

    AUTOFILTER_COLUMN_RULE_TOPTEN_TOP

## AUTOFILTER_RULETYPE_CUSTOMFILTER

    AUTOFILTER_RULETYPE_CUSTOMFILTER

## AUTOFILTER_RULETYPE_DATEGROUP

    AUTOFILTER_RULETYPE_DATEGROUP

## AUTOFILTER_RULETYPE_DATEGROUP_DAY

    AUTOFILTER_RULETYPE_DATEGROUP_DAY

## AUTOFILTER_RULETYPE_DATEGROUP_HOUR

    AUTOFILTER_RULETYPE_DATEGROUP_HOUR

## AUTOFILTER_RULETYPE_DATEGROUP_MINUTE

    AUTOFILTER_RULETYPE_DATEGROUP_MINUTE

## AUTOFILTER_RULETYPE_DATEGROUP_MONTH

    AUTOFILTER_RULETYPE_DATEGROUP_MONTH

## AUTOFILTER_RULETYPE_DATEGROUP_SECOND

    AUTOFILTER_RULETYPE_DATEGROUP_SECOND

## AUTOFILTER_RULETYPE_DATEGROUP_YEAR

    AUTOFILTER_RULETYPE_DATEGROUP_YEAR

## AUTOFILTER_RULETYPE_DYNAMICFILTER

    AUTOFILTER_RULETYPE_DYNAMICFILTER

## AUTOFILTER_RULETYPE_DYNAMIC_ABOVEAVERAGE

    AUTOFILTER_RULETYPE_DYNAMIC_ABOVEAVERAGE

## AUTOFILTER_RULETYPE_DYNAMIC_APRIL

    AUTOFILTER_RULETYPE_DYNAMIC_APRIL

## AUTOFILTER_RULETYPE_DYNAMIC_AUGUST

    AUTOFILTER_RULETYPE_DYNAMIC_AUGUST

## AUTOFILTER_RULETYPE_DYNAMIC_BELOWAVERAGE

    AUTOFILTER_RULETYPE_DYNAMIC_BELOWAVERAGE

## AUTOFILTER_RULETYPE_DYNAMIC_DECEMBER

    AUTOFILTER_RULETYPE_DYNAMIC_DECEMBER

## AUTOFILTER_RULETYPE_DYNAMIC_FEBRUARY

    AUTOFILTER_RULETYPE_DYNAMIC_FEBRUARY

## AUTOFILTER_RULETYPE_DYNAMIC_JANUARY

    AUTOFILTER_RULETYPE_DYNAMIC_JANUARY

## AUTOFILTER_RULETYPE_DYNAMIC_JULY

    AUTOFILTER_RULETYPE_DYNAMIC_JULY

## AUTOFILTER_RULETYPE_DYNAMIC_JUNE

    AUTOFILTER_RULETYPE_DYNAMIC_JUNE

## AUTOFILTER_RULETYPE_DYNAMIC_LASTMONTH

    AUTOFILTER_RULETYPE_DYNAMIC_LASTMONTH

## AUTOFILTER_RULETYPE_DYNAMIC_LASTQUARTER

    AUTOFILTER_RULETYPE_DYNAMIC_LASTQUARTER

## AUTOFILTER_RULETYPE_DYNAMIC_LASTWEEK

    AUTOFILTER_RULETYPE_DYNAMIC_LASTWEEK

## AUTOFILTER_RULETYPE_DYNAMIC_LASTYEAR

    AUTOFILTER_RULETYPE_DYNAMIC_LASTYEAR

## AUTOFILTER_RULETYPE_DYNAMIC_MARCH

    AUTOFILTER_RULETYPE_DYNAMIC_MARCH

## AUTOFILTER_RULETYPE_DYNAMIC_MAY

    AUTOFILTER_RULETYPE_DYNAMIC_MAY

## AUTOFILTER_RULETYPE_DYNAMIC_MONTH_1

    AUTOFILTER_RULETYPE_DYNAMIC_MONTH_1

## AUTOFILTER_RULETYPE_DYNAMIC_MONTH_10

    AUTOFILTER_RULETYPE_DYNAMIC_MONTH_10

## AUTOFILTER_RULETYPE_DYNAMIC_MONTH_11

    AUTOFILTER_RULETYPE_DYNAMIC_MONTH_11

## AUTOFILTER_RULETYPE_DYNAMIC_MONTH_12

    AUTOFILTER_RULETYPE_DYNAMIC_MONTH_12

## AUTOFILTER_RULETYPE_DYNAMIC_MONTH_2

    AUTOFILTER_RULETYPE_DYNAMIC_MONTH_2

## AUTOFILTER_RULETYPE_DYNAMIC_MONTH_3

    AUTOFILTER_RULETYPE_DYNAMIC_MONTH_3

## AUTOFILTER_RULETYPE_DYNAMIC_MONTH_4

    AUTOFILTER_RULETYPE_DYNAMIC_MONTH_4

## AUTOFILTER_RULETYPE_DYNAMIC_MONTH_5

    AUTOFILTER_RULETYPE_DYNAMIC_MONTH_5

## AUTOFILTER_RULETYPE_DYNAMIC_MONTH_6

    AUTOFILTER_RULETYPE_DYNAMIC_MONTH_6

## AUTOFILTER_RULETYPE_DYNAMIC_MONTH_7

    AUTOFILTER_RULETYPE_DYNAMIC_MONTH_7

## AUTOFILTER_RULETYPE_DYNAMIC_MONTH_8

    AUTOFILTER_RULETYPE_DYNAMIC_MONTH_8

## AUTOFILTER_RULETYPE_DYNAMIC_MONTH_9

    AUTOFILTER_RULETYPE_DYNAMIC_MONTH_9

## AUTOFILTER_RULETYPE_DYNAMIC_NEXTMONTH

    AUTOFILTER_RULETYPE_DYNAMIC_NEXTMONTH

## AUTOFILTER_RULETYPE_DYNAMIC_NEXTQUARTER

    AUTOFILTER_RULETYPE_DYNAMIC_NEXTQUARTER

## AUTOFILTER_RULETYPE_DYNAMIC_NEXTWEEK

    AUTOFILTER_RULETYPE_DYNAMIC_NEXTWEEK

## AUTOFILTER_RULETYPE_DYNAMIC_NEXTYEAR

    AUTOFILTER_RULETYPE_DYNAMIC_NEXTYEAR

## AUTOFILTER_RULETYPE_DYNAMIC_NOVEMBER

    AUTOFILTER_RULETYPE_DYNAMIC_NOVEMBER

## AUTOFILTER_RULETYPE_DYNAMIC_OCTOBER

    AUTOFILTER_RULETYPE_DYNAMIC_OCTOBER

## AUTOFILTER_RULETYPE_DYNAMIC_QUARTER_1

    AUTOFILTER_RULETYPE_DYNAMIC_QUARTER_1

## AUTOFILTER_RULETYPE_DYNAMIC_QUARTER_2

    AUTOFILTER_RULETYPE_DYNAMIC_QUARTER_2

## AUTOFILTER_RULETYPE_DYNAMIC_QUARTER_3

    AUTOFILTER_RULETYPE_DYNAMIC_QUARTER_3

## AUTOFILTER_RULETYPE_DYNAMIC_QUARTER_4

    AUTOFILTER_RULETYPE_DYNAMIC_QUARTER_4

## AUTOFILTER_RULETYPE_DYNAMIC_SEPTEMBER

    AUTOFILTER_RULETYPE_DYNAMIC_SEPTEMBER

## AUTOFILTER_RULETYPE_DYNAMIC_THISMONTH

    AUTOFILTER_RULETYPE_DYNAMIC_THISMONTH

## AUTOFILTER_RULETYPE_DYNAMIC_THISQUARTER

    AUTOFILTER_RULETYPE_DYNAMIC_THISQUARTER

## AUTOFILTER_RULETYPE_DYNAMIC_THISWEEK

    AUTOFILTER_RULETYPE_DYNAMIC_THISWEEK

## AUTOFILTER_RULETYPE_DYNAMIC_THISYEAR

    AUTOFILTER_RULETYPE_DYNAMIC_THISYEAR

## AUTOFILTER_RULETYPE_DYNAMIC_TODAY

    AUTOFILTER_RULETYPE_DYNAMIC_TODAY

## AUTOFILTER_RULETYPE_DYNAMIC_TOMORROW

    AUTOFILTER_RULETYPE_DYNAMIC_TOMORROW

## AUTOFILTER_RULETYPE_DYNAMIC_YEARTODATE

    AUTOFILTER_RULETYPE_DYNAMIC_YEARTODATE

## AUTOFILTER_RULETYPE_DYNAMIC_YESTERDAY

    AUTOFILTER_RULETYPE_DYNAMIC_YESTERDAY

## AUTOFILTER_RULETYPE_FILTER

    AUTOFILTER_RULETYPE_FILTER

## AUTOFILTER_RULETYPE_TOPTENFILTER

    AUTOFILTER_RULETYPE_TOPTENFILTER